org.eclipse.gef4.zest.core.widgets.decoration

## Class DirectedConnectionDecorator

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.decoration.AbstractConnectionDecorator
  - - org.eclipse.gef4.zest.core.widgets.decoration.DirectedConnectionDecorator

All Implemented Interfaces:
  IConnectionDecorator

    public class DirectedConnectionDecorator
    extends AbstractConnectionDecorator

### Constructor Summary

Constructors
Constructor and Description
`DirectedConnectionDecorator()`

### Method Summary

Methods
`org.eclipse.draw2d.RotatableDecoration` `createSourceDecoration(GraphConnection connection)` Creates a source decoration for the connection
`org.eclipse.draw2d.RotatableDecoration` `createTargetDecoration(GraphConnection connection)` Creates a target decoration for the connection

### Methods inherited from class org.eclipse.gef4.zest.core.widgets.decoration.AbstractConnectionDecorator

`decorateConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectedConnectionDecorator

    public DirectedConnectionDecorator()

### Method Detail

#### createSourceDecoration

    public org.eclipse.draw2d.RotatableDecoration createSourceDecoration(GraphConnection connection)

Description copied from class: `AbstractConnectionDecorator`
Creates a source decoration for the connection

Specified by:
  `createSourceDecoration` in class `AbstractConnectionDecorator`
Returns:
  the provided source decoration, or null if not applicable

#### createTargetDecoration

    public org.eclipse.draw2d.RotatableDecoration createTargetDecoration(GraphConnection connection)

Description copied from class: `AbstractConnectionDecorator`
Creates a target decoration for the connection

Specified by:
  `createTargetDecoration` in class `AbstractConnectionDecorator`
Returns:
  the provided target decoration, or null if not applicable